<?php
 /*
  * index.php
  * Copyright (C) Christopher Niggel 10-4-2002
  * See README for licensing information
  * This page creates the table to display shows, based on SQL queries
  * Page uses (but does not require)  a variable PAGE to select which page to view
  * Page requires db_library.php - the database abstraction layer.
  * See db_library for more information
  *
  */


 #define page settings
 include "settings.php";


 #set variable for page -handles pagination
 if (!isset($_GET['page'])) $pagevalue = 0;
 else $pagevalue = ($_GET['page'] - 1);

 #create database connection
 require "db_library.php";
 $data_base = new DB_class;
 $data_base->Create();

 #set up html-removal library
 require "dehtml.php";


 #display page header
 echo(PAGEHEADER);

echo("
<table border=0 align=center width=100%>
<tr>
<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Band</font></td>
<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Date</font></td>
<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Venue</font></td>
<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">City</font></td>
<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Time</font></td>
<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Price</font></td>
<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Details</font></td>
</tr>
");


  #set todays date
  $todays_date = date("Y-m-d");

  #query database
  $data_base->Query("select * from TBL_SHOWS where DATE >= '" .$todays_date ."' and VIEWABLE <> 0 order by DATE");

  #loop through results and display
  #echo("$pagevalue"); -debug
  for($i= ($pagevalue * MAX_RESULTS) ; $i < (($pagevalue * MAX_RESULTS) + MAX_RESULTS) && $i < $data_base->rows ; $i++){
     $data_base->Fetch($i);
     $Band = urldecode($data_base->data[1]);
     $Date = $data_base->data[2];
     $Venue = urldecode($data_base->data[3]);
     $City = urldecode($data_base->data[4]);
     $Time = urldecode($data_base->data[5]);
     $Price = urldecode($data_base->data[6]);
     $Details = urldecode($data_base->data[7]);

  #parse any bbcode in the details field into DETAILS_HTML for display
     $DETAILS_HTML = bb_decode($Details);

  #ROW COLORINGS
  #change row color if even or odd, or on today's date
	  if ($Date == $todays_date) $bgcolor=BGCOLOR3;	//today's date
	  elseif ($i % 2) $bgcolor=BGCOLOR2;				//even rows
	  else $bgcolor=BGCOLOR1;							//odd rows

  #display the rows
  	 echo("
		<tr>
		<td bgcolor=$bgcolor><font " .TBL_FONT .">$Band</font></td>
		<td bgcolor=$bgcolor><font " .TBL_FONT .">$Date</font></td>
		<td bgcolor=$bgcolor><font " .TBL_FONT .">$Venue</font></td>
		<td bgcolor=$bgcolor><font " .TBL_FONT .">$City</font></td>
		<td bgcolor=$bgcolor><font " .TBL_FONT .">$Time</font></td>
		<td bgcolor=$bgcolor><font " .TBL_FONT .">$Price</font></td>
		<td bgcolor=$bgcolor><font " .TBL_FONT .">$DETAILS_HTML</font></td>
		</tr>
		");
	  };

    #close table and display navigation controls
	echo("</table>
		  <table border=0 width=100%>
		  <tr>
		  <td align=left>");
	#display the previous button
	if($pagevalue > 0) {
		$prev_page = $pagevalue;
		echo("<a href='?page=$prev_page'>Previous</a>");
	}

	#determine total number of pages
	$all_pages = ceil($data_base->rows / MAX_RESULTS);
	$current_page = $pagevalue + 1;

	echo(" showing page $current_page of $all_pages ");

	#display the next button
	if($pagevalue < ($all_pages - 1)) {
		$next_page = $pagevalue +2;
		echo("<a href='?page=$next_page'>Next</a>");
	}

	echo("</td>
		  <td align=right><a href='addshow.php'><font " .TBL_FONT .">Add A Show</font></a></td>
		  </tr>
		  </table>
		 ");

    #display page footer
	echo(PAGEFOOTER);

?>
