<?php
/*
 * DB_LIBRARY.php - database abstraction layer
 * This file provides MySQL support to the Show database application
 * Copyright (C) Christopher Niggel 10-4-2002
 * See README for licensing information
 *
 * Other implementations of this bridge MUST have the following functions
 * Call Library to access SQL database
 * library calls:
 * Create:  opens DB connection - takes host, db, username, password (not required)
 *          returns an error message if fails.
 * Query: runs SQL query - takes and parses SQL statement
 *        returns array of results
 * Fetch: parses each row of data, returns an array of the result row.
 *
 */

class DB_class {
	var $id, $result, $rows, $data, $a_rows;

	function Create ($host = 'utahska.com',$db = 'shows',$user = 'utahskashows',$pass = 'goldbond') {
	        $this->id = @mysql_pconnect($host, $user,$pass) or
	     MySQL_ErrorMsg("Unable to connect to MySQL server: $host : '$SERVER_NAME'");
	        @mysql_select_db($db, $this->id) or
		   MySQL_ErrorMsg ("Unable to select DB: $db");
    }

	function Query ($query) {
	        $this->result = @mysql_query($query, $this->id) or
	            MySQL_ErrorMsg ("Unable to perform query: $query");
	        $this->rows = @mysql_num_rows($this->result);
	        $this->a_rows = @mysql_affected_rows($this->result);
    }

    function Fetch ($row) {
	        @mysql_data_seek($this->result, $row) or
	            MySQL_ErrorMsg ("Unable to seek data row: $row");
	        $this->data = @mysql_fetch_array($this->result) or
	            MySQL_ErrorMsg ("Unable to fetch row: $row");
    }
}

function MySQL_ErrorMsg ($msg) {
    # Close out a bunch of HTML constructs which might prevent
    # the HTML page from displaying the error text.
    echo("</ul></dl></ol>\n");
    echo("</table></script>\n");

    # Display the error message
    $text  = "<font color=\"#ff0000\" size=+2><p>Error: $msg :";
    $text .= mysql_error();
    $text .= "</font>\n";
    die($text);
}
?>
